<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB

 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
 -->
<?eclipse version="4.4"?>
<plugin>

   <extension
         point="org.eclipse.core.contenttype.contentTypes">
      <content-type
      		priority="normal"
            id="org.eclipse.titan.lspclient.asn1"
            name="ASN.1"
            base-type="org.eclipse.core.runtime.text"
            file-extensions="asn, asn1">
      </content-type>
      <content-type
      		priority="normal"
            id="org.eclipse.titan.lspclient.ttcn"
            name="TTCN-3"
            base-type="org.eclipse.core.runtime.text"
            file-extensions="ttcn, ttcn3, ttcnpp">
      </content-type>
      <content-type
      		priority="normal"
            id="org.eclipse.titan.lspclient.cfg"
            name="Titan runtime configuration file"
            base-type="org.eclipse.core.runtime.text"
            file-extensions="cfg">
      </content-type>
   </extension>
   <extension
         point="org.eclipse.ui.editors">
      <editorContentTypeBinding
            contentTypeId="org.eclipse.titan.lspclient.ttcn"
            editorId="org.eclipse.ui.genericeditor.GenericEditor">
      </editorContentTypeBinding>
      <editorContentTypeBinding
            contentTypeId="org.eclipse.titan.lspclient.asn1"
            editorId="org.eclipse.ui.genericeditor.GenericEditor">
      </editorContentTypeBinding>
      <editorContentTypeBinding
            contentTypeId="org.eclipse.titan.lspclient.cfg"
            editorId="org.eclipse.ui.genericeditor.GenericEditor">
      </editorContentTypeBinding>
   </extension>
   <extension
   		 point="org.eclipse.lsp4e.languageServer">
   		 <server
            class="org.eclipse.titan.lspclient.TitanStreamConnectionProvider"
            clientImpl="org.eclipse.titan.lspclient.TitanLanguageClient"
            configurationHandler="org.eclipse.titan.lspclient.preferences.PreferenceUtils"
            makerType="org.eclipse.titan.lspclient.marker"
            id="org.eclipse.titan.lspclient.ttcn.server"
            label="Eclipse Titan">
   		 </server>
   		 <contentTypeMapping
   		 	contentType="org.eclipse.titan.lspclient.ttcn"
   		 	id="org.eclipse.titan.lspclient.ttcn.server">
   		 </contentTypeMapping>
   		 <contentTypeMapping
   		 	contentType="org.eclipse.titan.lspclient.asn1"
   		 	id="org.eclipse.titan.lspclient.ttcn.server">
   		 </contentTypeMapping>
   		 <contentTypeMapping
   		 	contentType="org.eclipse.titan.lspclient.cfg"
   		 	id="org.eclipse.titan.lspclient.ttcn.server">
   		 </contentTypeMapping>
   </extension>
   <extension
         point="org.eclipse.ui.genericeditor.presentationReconcilers">
      <presentationReconciler
            class="org.eclipse.tm4e.ui.text.TMPresentationReconciler"
            contentType="org.eclipse.titan.lspclient.ttcn">
      </presentationReconciler>
   </extension>
   <!-- extension
         point="org.eclipse.core.filebuffers.documentSetup">
      <participant
            class="org.eclipse.titan.lspclient.ValidatorDocumentSetupParticipant"
            contentTypeId="org.eclipse.titan.lspclient.project"
            extensions="project">
      </participant>
   </extension -->
   <extension
         point="org.eclipse.core.contenttype.contentTypes">
   </extension>
	<extension
         point="org.eclipse.tm4e.registry.grammars">
      <grammar
            path="/src/org/eclipse/titan/lspclient/syntaxes/ttcn.tmLanguage.json"
            scopeName="source.ttcn">
      </grammar>
      <grammar
            path="/src/org/eclipse/titan/lspclient/syntaxes/asn1.tmLanguage.json"
            scopeName="source.asn1">
      </grammar>
      <grammar
            path="/src/org/eclipse/titan/lspclient/syntaxes/cfg.tmLanguage.json"
            scopeName="source.cfg">
      </grammar>
      <scopeNameContentTypeBinding
            contentTypeId="org.eclipse.titan.lspclient.ttcn"
            scopeName="source.ttcn">
      </scopeNameContentTypeBinding>
      <scopeNameContentTypeBinding
            contentTypeId="org.eclipse.titan.lspclient.asn1"
            scopeName="source.asn1">
      </scopeNameContentTypeBinding>
      <scopeNameContentTypeBinding
            contentTypeId="org.eclipse.titan.lspclient.cfg"
            scopeName="source.cfg">
      </scopeNameContentTypeBinding>
   </extension>
   <extension
         point="org.eclipse.core.runtime.preferences">
      <initializer
            class="org.eclipse.titan.lspclient.preferences.PreferenceInitializer">
      </initializer>
   </extension>
   <extension point="org.eclipse.ui.startup">
     <startup class="org.eclipse.titan.lspclient.TitanLspStartup"/>
   </extension>
   <extension id="org.eclipse.titan.lspclient.marker"
     name="LSP Client marker" point="org.eclipse.core.resources.markers">
     <super type="org.eclipse.lsp4e.diagnostic" />
     <persistent value="false" />
  </extension>
</plugin>
